# Client libraries

[Make TypeScript SDK](https://github.com/integromat/make-typescript-sdk)

The Make Typescript SDK provides full support for type definitions and a majority of Make API endpoints, built-in error handling, and response typing. It is fully compatible with pure JavaScript projects.

TypeScript is a syntactic superset of JavaScript. It features additional capabilities like optional static typing, interfaces, and advanced OOP features like classes and inheritance. TypeScript allows for the specification of types of variables, function parameters, and return values, enabling the detection of type-related errors during development rather than at runtime.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.make.com/api-documentation/client-libraries.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
